Loading...
Searching...
No Matches
Exiv2::Internal::Nikon1MakerNote Class Reference

A MakerNote format used by Nikon cameras, such as the E990 and D1. More...

`#include <nikonmn_int.hpp>`

## Static Public Member Functions

static const TagInfo * | tagList ()
| Return read-only list of built-in Nikon1 tags.

## Print functions for Nikon1 MakerNote tags

static std::ostream & | print0x0002 (std::ostream &os, const Value &value, const ExifData *)
| Print ISO setting.
static std::ostream & | print0x0007 (std::ostream &os, const Value &value, const ExifData *)
| Print autofocus mode.
static std::ostream & | print0x0085 (std::ostream &os, const Value &value, const ExifData *)
| Print manual focus distance.
static std::ostream & | print0x0086 (std::ostream &os, const Value &value, const ExifData *)
| Print digital zoom setting.
static std::ostream & | print0x0088 (std::ostream &os, const Value &value, const ExifData *)
| Print AF focus position.
static std::ostream & | printBarValue (std::ostream &os, const Value &value, const ExifData *)
| Print BarometerInfo.

## Detailed Description

A MakerNote format used by Nikon cameras, such as the E990 and D1.

The documentation for this class was generated from the following files:

- nikonmn_int.hpp
- nikonmn_int.cpp